using	System;
using	System.Data;
using	MySql.Data.MySqlClient;
using	MySql.Data;



namespace	ConsoleApplication1
{
  ///	<summary>
  ///	Summary	description	for	Class1.
  ///	</summary>
  class	Class1
  {
    ///	<summary>
    ///	The	main entry point for the application.
		
    ///	</summary>
    [STAThread]
    static void	Main(string[]	args)
    {
      MySqlConnection conn = new MySqlConnection ("server=localhost;	database=test;uid=root;pooling=false");
      conn.Open();
      MySqlCommand createCmd = conn.CreateCommand(),
        prepBug = conn.CreateCommand();
			
      createCmd.CommandText = "CREATE TABLE IF NOT EXISTS prepBug (" +
        "input TEXT NOT NULL, UNIQUE (input(100))," +
        "state INT NOT NULL, " +
        "score INT NOT NULL)";
      createCmd.ExecuteNonQuery();
      prepBug.CommandText = "Insert into prepBug "+
        "(input, state, score) " +
        "VALUES (?query, ?st, ?sc) ON DUPLICATE KEY UPDATE " +
        "state=state|?st;";
      prepBug.Parameters.Add (new MySqlParameter("?input", ""));
      prepBug.Parameters.Add (new MySqlParameter("?st", Convert.ToInt32(0)));
      prepBug.Parameters.Add (new MySqlParameter("?sc", Convert.ToInt32 (0)));
      prepBug.Prepare();

      prepBug.Parameters["input"].Value = "test";
      prepBug.Parameters["st"].Value = 1;
      prepBug.Parameters["sc"].Value = 42;
//      prepBug.Prepare();
      int result = prepBug.ExecuteNonQuery();
    }      
  }
}
